APIFlights
Replace a flight track
Authorization
bearerAuth tracks.write, flight.update.ownAuthorizationBearer <token>
Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
In: header
Scope: tracks.write, flight.update.own
Path Parameters
id*integer
Flight ID.
Range
1 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/flights/1/track" \ -H "Content-Type: application/json" \ -d '{ "coordinates": [ [ 0, 0 ], [ 0, 0 ] ], "sourceFormat": "gpx" }'{ "data": { "coordinates": [ [ 0, 0 ], [ 0, 0 ] ], "sourceFormat": "gpx", "sourceName": "string", "times": [ 0 ], "groundSpeedKt": [ 0 ], "trackDeg": [ 0 ], "ground": [ true ], "estimated": [ true ], "flightId": 0, "pointCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}